Skip to main content
PUT
https://{tenantDomain}/api/v2
/
guardian
/
factors
/
sms
/
selected-provider
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Guardian.Factors;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Guardian.Factors.Sms.SetProviderAsync(
            new SetGuardianFactorsProviderSmsRequestContent {
                Provider = GuardianFactorsProviderSmsProviderEnum.Auth0
            }
        );
    }

}
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

provider
enum<string>
required
Available options:
auth0,
twilio,
phone-message-hook

Response

Returns selected SMS provider configuration

provider
enum<string>
Available options:
auth0,
twilio,
phone-message-hook